org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.PerFeature.ManyValued

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature
    - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued

- All Implemented Interfaces:
    CDOMerger
  Enclosing class:
    DefaultCDOMerger.PerFeature

      public static class DefaultCDOMerger.PerFeature.ManyValued
      extends DefaultCDOMerger.PerFeature

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultCDOMerger.PerFeature.ManyValued.Element` A virtual list element to establish unique relations between ancestor, source and target sides.
    `static class` | `DefaultCDOMerger.PerFeature.ManyValued.PerSide<T>` Holds data for the source and target sides.
    `static class` | `DefaultCDOMerger.PerFeature.ManyValued.Side` Enumerates the possible sides of a merge, i.e., `DefaultCDOMerger.PerFeature.ManyValued.Side.SOURCE` and `DefaultCDOMerger.PerFeature.ManyValued.Side.TARGET`.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

      `DefaultCDOMerger.PerFeature.ManyValued`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

      `DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict, DefaultCDOMerger.ChangedInSourceAndTargetConflict, DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict, DefaultCDOMerger.Conflict, DefaultCDOMerger.PerFeature, DefaultCDOMerger.ResolutionPreference`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOMerger

      `CDOMerger.ConflictException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManyValued()`
    `ManyValued(DefaultCDOMerger.ResolutionPreference resolutionPreference)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `adjustAfterAddition(List<CDOFeatureDelta> list, int index)` Deprecated.
    `static void` | `adjustAfterMove(List<CDOFeatureDelta> list, int oldPosition, int newPosition)` Deprecated.
    `static void` | `adjustAfterRemoval(List<CDOFeatureDelta> list, int index)` Deprecated.
    `protected CDOFeatureDelta` | `changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
    `protected CDOListFeatureDelta` | `createResult(EStructuralFeature feature)` Deprecated.
    `protected void` | `handleListDelta(List<CDOFeatureDelta> resultList, List<CDOFeatureDelta> listToHandle, List<CDOFeatureDelta> listToAdjust)` Deprecated.
    `protected boolean` | `handleListDeltaAdd(List<CDOFeatureDelta> resultList, CDOAddFeatureDelta addDelta, List<CDOFeatureDelta> listToAdjust)` Deprecated.
    `protected boolean` | `handleListDeltaMove(List<CDOFeatureDelta> resultList, CDOMoveFeatureDelta moveDelta, List<CDOFeatureDelta> listToAdjust)` Deprecated.
    `protected boolean` | `handleListDeltaRemove(List<CDOFeatureDelta> resultList, CDORemoveFeatureDelta removeDelta, List<CDOFeatureDelta> listToAdjust)` Deprecated.
    `protected static DefaultCDOMerger.PerFeature.ManyValued.Side` | `other(DefaultCDOMerger.PerFeature.ManyValued.Side side)`
    `protected boolean` | `treatAsUnique(EStructuralFeature feature)`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

      `changedInSource, changedInSourceAndTarget, changedInSourceAndTarget, changedInSourceAndTargetSingleValued, changedInTarget`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

      `addedInSource, addedInSourceAndTarget, addedInTarget, changedInSource, changedInSourceAndDetachedInTarget, changedInTarget, changedInTargetAndDetachedInSource, detachedInSource, detachedInSourceAndTarget, detachedInTarget, getConflicts, getResolutionPreference, getResult, getSourceMap, getTargetMap, merge, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManyValued

          public ManyValued()

    - #### ManyValued

          public ManyValued(DefaultCDOMerger.ResolutionPreference resolutionPreference)

      Since:
        4.2

  - ### Method Detail

    - #### treatAsUnique

          protected boolean treatAsUnique(EStructuralFeature feature)

      Since:
        4.2

    - #### changedInSourceAndTargetManyValued

          protected CDOFeatureDelta changedInSourceAndTargetManyValued(EStructuralFeature feature,
                                                                       CDOFeatureDelta targetFeatureDelta,
                                                                       CDOFeatureDelta sourceFeatureDelta)

      Overrides:
        `changedInSourceAndTargetManyValued` in class `DefaultCDOMerger.PerFeature`
      Returns:
        the result feature delta, or `null` to indicate an unresolved conflict.

    - #### other

          protected static DefaultCDOMerger.PerFeature.ManyValued.Side other(DefaultCDOMerger.PerFeature.ManyValued.Side side)

      Since:
        4.2

    - #### createResult

          @Deprecated
          protected CDOListFeatureDelta createResult(EStructuralFeature feature)

      Deprecated.

    - #### handleListDelta

          @Deprecated
          protected void handleListDelta(List<CDOFeatureDelta> resultList,
                                                      List<CDOFeatureDelta> listToHandle,
                                                      List<CDOFeatureDelta> listToAdjust)

      Deprecated.

    - #### handleListDeltaAdd

          @Deprecated
          protected boolean handleListDeltaAdd(List<CDOFeatureDelta> resultList,
                                                            CDOAddFeatureDelta addDelta,
                                                            List<CDOFeatureDelta> listToAdjust)

      Deprecated.

    - #### handleListDeltaRemove

          @Deprecated
          protected boolean handleListDeltaRemove(List<CDOFeatureDelta> resultList,
                                                               CDORemoveFeatureDelta removeDelta,
                                                               List<CDOFeatureDelta> listToAdjust)

      Deprecated.

    - #### handleListDeltaMove

          @Deprecated
          protected boolean handleListDeltaMove(List<CDOFeatureDelta> resultList,
                                                             CDOMoveFeatureDelta moveDelta,
                                                             List<CDOFeatureDelta> listToAdjust)

      Deprecated.

    - #### adjustAfterAddition

          @Deprecated
          public static void adjustAfterAddition(List<CDOFeatureDelta> list,
                                                              int index)

      Deprecated.

    - #### adjustAfterRemoval

          @Deprecated
          public static void adjustAfterRemoval(List<CDOFeatureDelta> list,
                                                             int index)

      Deprecated.

    - #### adjustAfterMove

          @Deprecated
          public static void adjustAfterMove(List<CDOFeatureDelta> list,
                                                          int oldPosition,
                                                          int newPosition)

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html